%global framework ksmtp 

Name:    kf5-%{framework}
Version: 17.11.80
Release: 1%{?dist}
Summary: KDE SMTP libraries

License: LGPLv2+
URL:     https://cgit.kde.org/%{framework}.git/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

%global kf5_ver 5.29
BuildRequires: extra-cmake-modules >= %{kf5_ver}
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)

BuildRequires: cmake(Qt5Network)

BuildRequires: kf5-kmime-devel >= %{version}
BuildRequires: cmake(KF5Mime)

BuildRequires: pkgconfig(libsasl2)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5CoreAddons)
Requires:       cmake(KF5Mime)
Requires:       kf5-mime-devel >= %{version}
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-html


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING*
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{framework}.*
%{_kf5_libdir}/libKPimSMTP.so.*

%files devel
%{_kf5_libdir}/libKPimSMTP.so
%{_kf5_libdir}/cmake/KPimSMTP/
%{_includedir}/KPim/
%{_kf5_archdatadir}/mkspecs/modules/qt_KSMTP.pri


%changelog
* Wed Nov 22 2017 Rex Dieter <rdieter@fedoraproject.org> - 17.11.80-1
- 17.11.80
